Your submission was sent successfully! Close

You have successfully unsubscribed! Close

USN-2204-1: Linux kernel vulnerability

6 May 2014

The system could be made to crash or run programs as an administrator.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Releases

Packages

Details

A flaw was discovered in the Linux kernel's pseudo tty (pty) device. An
unprivileged user could exploit this flaw to cause a denial of service
(system crash) or potentially gain administrator privileges.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 14.04

After a standard system update you need to reboot your computer to make
all the necessary changes.

References

Related notices

  • USN-2197-1: linux-image-2.6.32-363-ec2, linux-ec2
  • USN-2198-1: linux, linux-image-3.2.0-61-generic-pae, linux-image-3.2.0-61-powerpc-smp, linux-image-3.2.0-61-virtual, linux-image-3.2.0-61-powerpc64-smp, linux-image-3.2.0-61-omap, linux-image-3.2.0-61-highbank, linux-image-3.2.0-61-generic
  • USN-2260-1: linux-lts-trusty, linux-image-3.13.0-30-generic-lpae, linux-image-3.13.0-30-generic
  • USN-2201-1: linux-image-3.11.0-20-generic-lpae, linux-lts-saucy, linux-image-3.11.0-20-generic
  • USN-2203-1: linux, linux-image-3.11.0-20-generic-lpae, linux-image-3.11.0-20-generic
  • USN-2196-1: linux, linux-image-2.6.32-58-generic-pae, linux-image-2.6.32-58-versatile, linux-image-2.6.32-58-powerpc64-smp, linux-image-2.6.32-58-ia64, linux-image-2.6.32-58-virtual, linux-image-2.6.32-58-sparc64-smp, linux-image-2.6.32-58-sparc64, linux-image-2.6.32-58-lpia, linux-image-2.6.32-58-386, linux-image-2.6.32-58-powerpc, linux-image-2.6.32-58-generic, linux-image-2.6.32-58-powerpc-smp, linux-image-2.6.32-58-server, linux-image-2.6.32-58-preempt
  • USN-2200-1: linux-image-3.8.0-39-generic, linux-lts-raring
  • USN-2199-1: linux-image-3.5.0-49-generic, linux-lts-quantal
  • USN-2227-1: linux-ti-omap4, linux-image-3.2.0-1446-omap4
  • USN-2202-1: linux, linux-image-3.5.0-49-generic, linux-image-3.5.0-49-powerpc64-smp, linux-image-3.5.0-49-omap, linux-image-3.5.0-49-powerpc-smp, linux-image-3.5.0-49-highbank